##################################
cffLib: read/write Adobe CFF fonts
##################################

.. automodule:: fontTools.cffLib

This package also contains two modules for manipulating CFF format glyphs:

.. toctree::
   :maxdepth: 1

   specializer
   width

.. autoclass:: fontTools.cffLib.CFFFontSet
   :inherited-members:
   :members:

.. autoclass:: fontTools.cffLib.TopDict
   :members:

.. autoclass:: fontTools.cffLib.CharStrings
   :members:

.. autoclass:: fontTools.cffLib.Index
   :members:

.. autoclass:: fontTools.cffLib.GlobalSubrsIndex
   :members:

.. autoclass:: fontTools.cffLib.TopDictIndex
   :members:

.. autoclass:: fontTools.cffLib.CFFWriter
   :members:

.. autoclass:: fontTools.cffLib.IndexCompiler
   :members:

.. autoclass:: fontTools.cffLib.TopDictIndexCompiler
   :members:

.. autoclass:: fontTools.cffLib.FDArrayIndexCompiler
   :members:

.. autoclass:: fontTools.cffLib.GlobalSubrsCompiler
   :members:

.. autoclass:: fontTools.cffLib.SubrsCompiler
   :members:

.. autoclass:: fontTools.cffLib.CharStringsCompiler
   :members:
